com.lowagie.text.pdf

## Class PdfBoolean

- java.lang.Object
- - com.lowagie.text.pdf.PdfObject
  - - com.lowagie.text.pdf.PdfBoolean

    public class PdfBoolean
    extends PdfObject

`PdfBoolean` is the boolean object represented by the keywords true or false.

This object is described in the 'Portable Document Format Reference Manual version 1.7' section 3.2.1 (page 52).

See Also:
  `PdfObject`, `BadPdfFormatException`

### Field Summary

Fields
`static java.lang.String` `FALSE` A possible value of `PdfBoolean`
`static PdfBoolean` `PDFFALSE`
`static PdfBoolean` `PDFTRUE`
`static java.lang.String` `TRUE` A possible value of `PdfBoolean`
`private boolean` `value` the boolean value of this object

### Fields inherited from class com.lowagie.text.pdf.PdfObject

`ARRAY, BOOLEAN, bytes, DICTIONARY, INDIRECT, indRef, NAME, NOTHING, NULL, NUMBER, STREAM, STRING, TEXT_PDFDOCENCODING, TEXT_UNICODE, type`

### Constructor Summary

Constructors
Constructor and Description
`PdfBoolean(boolean value)` Constructs a `PdfBoolean`-object.
`PdfBoolean(java.lang.String value)` Constructs a `PdfBoolean`-object.

### Method Summary

Methods
`boolean` `booleanValue()` Returns the primitive value of the `PdfBoolean`-object.
`java.lang.String` `toString()` Returns the `String`-representation of this `PdfObject`.

### Methods inherited from class com.lowagie.text.pdf.PdfObject

`canBeInObjStm, getBytes, getIndRef, isArray, isBoolean, isDictionary, isIndirect, isName, isNull, isNumber, isStream, isString, length, setContent, setIndRef, toPdf, type`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PDFTRUE

    public static final PdfBoolean PDFTRUE

#### PDFFALSE

    public static final PdfBoolean PDFFALSE

#### TRUE

    public static final java.lang.String TRUE

A possible value of `PdfBoolean`

See Also:
  Constant Field Values

#### FALSE

    public static final java.lang.String FALSE

A possible value of `PdfBoolean`

See Also:
  Constant Field Values

#### value

    private boolean value

the boolean value of this object

### Constructor Detail

#### PdfBoolean

    public PdfBoolean(boolean value)

Constructs a `PdfBoolean`-object.

Parameters:
  `value` - the value of the new `PdfObject`

#### PdfBoolean

    public PdfBoolean(java.lang.String value)
               throws BadPdfFormatException

Constructs a `PdfBoolean`-object.

Parameters:
  `value` - the value of the new `PdfObject`, represented as a `String`
Throws:
  `BadPdfFormatException` - thrown if the value isn't '`true`' or '`false`'

### Method Detail

#### booleanValue

    public boolean booleanValue()

Returns the primitive value of the `PdfBoolean`-object.

Returns:
  the actual value of the object.

#### toString

    public java.lang.String toString()

Description copied from class: `PdfObject`
Returns the `String`-representation of this `PdfObject`.

Overrides:
  `toString` in class `PdfObject`
Returns:
  a `String`